@echo off

SET python3Path=%~1

ECHO Checking connection, please wait...
PING -n 1 www.google.com > nul && (goto :SUCCESS) || (goto :FAILURE)

:SUCCESS
@echo off
"%python3Path%Scripts\pip.exe" install cctext || (goto :FAILURE)
goto :END

:FAILURE
ECHO Cannot install cctext via pip install
pause
goto :END

:END
exit /b